Bug 1026805 - [Usability] Provide a signalization of ongoing background operation in console (e.g ajax spinner)
[Usability] Provide a signalization of ongoing background operation in consol...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: DR0
: EAP 6.3.0
Assigned To: Harald Pehl
Jakub Cechacek
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 08:25 EST by Jakub Cechacek
Modified: 2015-02-01 18:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 10:36:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-296 Major Resolved Provide a signalization of ongoing background operation (spinner) 2014-07-07 06:17:36 EDT

  None (edit)
Description Jakub Cechacek 2013-11-05 08:25:01 EST
There is no "ongoing operation"signalization for some long running operation (e.g. server listing - see BZ1026792 ). This highly affects usability as it is impossible to say whether something is running or whether a link is not working... 

Usually some sort of spinner is displayed next to / instead of cursor.
Comment 1 JBoss JIRA Server 2013-11-19 05:22:21 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-296 to Coding In Progress
Comment 2 JBoss JIRA Server 2013-11-19 16:16:01 EST
Harald Pehl <hpehl@redhat.com> updated the status of jira HAL-296 to Resolved
Comment 3 Jakub Cechacek 2014-07-07 06:19:10 EDT
Verified -- footer now contains a progress bar when background process is running

Note You need to log in before you can comment on or make changes to this bug.